Bug 111633 - Incorrect startup order (in releation to print spooler)
Incorrect startup order (in releation to print spooler)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hpoj (Show other bugs)
1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-07 00:44 EST by Tyler Larson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 0.91-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-08 07:51:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tyler Larson 2003-12-07 00:44:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
From the hpoj sourceforge page
(http://hpoj.sourceforge.net/hpoj-0.90/doc/setup-connect.html):
"Caution: If ptal-init does not start before the print spooler, then
you may experience problems setting up printing (if using CUPS), or
subsequent reboots may hang after you set up print queues (if using
LPRng)."

here's the important stuff from the initscripts:

/etc/init.d/hpoj:
# chkconfig: 2345 59 61

/etc/init.d/cups:
#   chkconfig: 2345 55 10

CUPS currently starts before hpoj (55 as opposed to 59). In order to
comply with the instructions, the start order number for hpoj should
be 54 or lower. I don't know when lpr starts up, but hpoj should start
before that too.

Version-Release number of selected component (if applicable):
hpoj-0.90-19

How reproducible:
Always

Steps to Reproduce:
n/a


Additional info:

Note You need to log in before you can comment on or make changes to this bug.